Description

Supportanfrage

Dear Digitalwerk Team,

I would like to implement a triggered measurement between Canape and ADTF computers. The measurement will be started and

stopped in Canape computer and a signal should be sent to ADTF computer to communicate the request.

Could you please advise on the best methods to implement this sync so that the measurements are time synchronized during the

recording ? Are there any additional advices required to make this happen?

Many thanks!

Best Regards,

Abdullah

Lösung

I would prefer an alternate way as I try to suggest to use a python script.

In this script you start CANape and ADTF (initialize) and than start ADTF after CANape.

With this generic solution you can control both environments.

For information about using Python in combination with ADTF please have a look at the ADTF SDK Documentation:

Python Support Service

Using Python modules

The ADTF Python Package

Starting and automizating ADTF

Demo Python Project

Demo Extended Python Project

Only thing you have to do is to provide the clock from CANape in ADTF (or the other way) or use the same.

For implementation and help with CANape we cannot support.

To exchange the clock in ADTF, please refer to ADTF SDK Documentation:

ADTF Clock Handling

Advanced

Demo Clock Filter

This would be a good solution I think to complete your use case.

History

#1 - 2017-05-05 15:07 - hidden

- Project changed from Public Support to 5

- Status changed from New to In Progress
- Affected Products ADTF 2.14.0 added

- Platform Windows 7 64bit added

#2 - 2017-05-05 15:18 - hidden

- Status changed from In Progress to Customer Feedback Required

- Topic set to ADTF::Automatization

Dear Abdullah,

I would prefer an alternate way as I try to suggest to use a python script.

In this script you start CANape and ADTF (initialize) and than start ADTF after CANape.

With this generic solution you can control both environments.

For information about using Python in combination with ADTF please have a look at the ADTF SDK Documentation:

Python Support Service

Using Python modules

The ADTF Python Package

Starting and automizating ADTF

Demo Python Project

Demo Extended Python Project

Only thing you have to do is to provide the clock from CANape in ADTF (or the other way) or use the same.

For implementation and help with CANape we cannot support.

To exchange the clock in ADTF, please refer to ADTF SDK Documentation:

ADTF Clock Handling

Advanced

Demo Clock Filter

This would be a good solution I think to complete your use case.

Please give us a short feedback if this issue is solved.

#3 - 2017-05-08 15:01 - hidden

Dear Florian,

Thank you for your prompt support. :)

The python script solution is a good idea. Do you have an idea how this interface between Canape and ADTF be realized on two separate PCs? Can

this be done through LAN?

Regards,

Abdullah

#4 - 2017-05-08 17:06 - hidden

Dear Abdullah,

With this solution it is not necessary to communicate between ADTF CANape.

You control both application and measurements from the python script.

Or do you need to exchange measurement data between both ?

As your initial requests says, it was only your aim to start ADTF from CANape.

#5 - 2017-05-11 08:30 - hidden

Dear Florian,

There is no need to exchange measurement data between ADTF and CANape aside from the commands to start and stop measurement.

Physically, how can this be realized on two separate computers? Do I require a LAN network to make it work?

Thank you.

Mit freundlichen Grüßen / Best regards

Abdullah Bin Omar Salleh

CC-DA/EPR1
#6 - 2017-05-11 09:40 - hidden

Dear Abdullah,

There is no need to exchange measurement data between ADTF and CANape aside from the commands to start and stop measurement.

 Then I think our support scope is here done. Let me know if your issue is solved.

Physically, how can this be realized on two separate computers? Do I require a LAN network to make it work?

 It is python thing, yes.

I would suggest that you implement all your setup, start, stop and whatever in python on any machine.

One or more machines with ADTF and one with CANape can be controlled over network from python I guess.

#7 - 2017-05-17 12:36 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

No feedback -> issue can be closed, solved from our view

#8 - 2017-05-17 12:36 - hidden

- Status changed from To Be Closed to Closed

#9 - 2018-01-25 11:51 - hidden

- Project changed from 5 to Public Support

- Private changed from Yes to No
